#
# spec file for package guile (Version 1.6.7)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline readline-devel rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           guile
BuildRequires:  readline-devel
License:        LGPL
Group:          Development/Languages/Scheme
Autoreqprov:    on
Version:        1.6.7
Release:        21.2
%define       GUILEVERSION 1.6
Summary:        GNU's Ubiquitous Intelligent Language for Extension
URL:            http://www.gnu.org/software/guile/
Source0:        %{name}-%{version}.tar.bz2
Source1:        SuSEconfig.guile
Patch:          %{name}-axp.patch
Patch1:         %{name}-64bit.patch
Patch2:         %{name}-%{version}-mktemp.patch
Patch3:         guile-gcc4.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         fileutils sh-utils
PreReq:         %install_info_prereq

%description
This is Guile, a portable, embeddable Scheme implementation written in
C. Guile provides a machine independent execution platform that can be
linked in as a library when building extensible programs.



Authors:
--------
    Jim Blandy  <jimb@floss.red-bean.com>
    George Carrette
    Aubrey Jaffer
    Gary Houston  <ghouston@actrix.gen.nz>
    Tom Lord
    Anthony Green
    Mikael Djurfeldt  <mdj@mdj.nada.kth.se>
    Mark Galassi  <rosalia@papageno.lanl.gov>
    Tim Pierce  <twp@twp.tezcat.com>
    Marius Vollmer  <mvo@zagadka.ping.de>
    Tom Tromey  <tromey@cygnus.com>

%debug_package
%prep
%setup -q
%patch
%patch1
%patch2
%patch3
sed 's/GUILEVERSION/%{GUILEVERSION}/g' < %SOURCE1 > SuSEconfig.guile

%build
%{?suse_update_config:%{suse_update_config -f . guile-readline}}
libtoolize --force --ltdl
aclocal -I guile-config
automake -a
autoconf
cd guile-readline
aclocal
automake -a
autoconf
cd ../libltdl
aclocal
autoconf
cd ..
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
  ./configure --prefix=/usr \
              --infodir=%{_infodir} \
              --with-threads \
              --libdir=%{_libdir} \
              --build=%{_target_cpu}-suse-linux-gnu
make
make check

%install
rm -fr $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT 
#
# SuSE config
install -d -m 755 $RPM_BUILD_ROOT/sbin/conf.d/
install -m 755 SuSEconfig.%{name} $RPM_BUILD_ROOT/sbin/conf.d/
ln -s %{GUILEVERSION} $RPM_BUILD_ROOT/usr/share/guile/%{version}

%clean
rm -fr $RPM_BUILD_ROOT

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz
%install_info --info-dir=%{_infodir} %{_infodir}/goops.info.gz
%install_info --info-dir=%{_infodir} %{_infodir}/guile-tut.info.gz
%install_info --info-dir=%{_infodir} %{_infodir}/r5rs.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz
%install_info_delete --info-dir=%{_infodir} %{_infodir}/goops.info.gz
%install_info_delete --info-dir=%{_infodir} %{_infodir}/guile-tut.info.gz
%install_info_delete --info-dir=%{_infodir} %{_infodir}/r5rs.info.gz

%preun
if [ -L usr/share/guile/%{version}/slib ] ; then 
  rm -f usr/share/guile/%{version}/slib
fi  
rm -f usr/share/guile/%{version}/slibcat
rm -f usr/share/guile/%{version}/slibcat.SuSEconfig
rm -f var/adm/SuSEconfig/md5/usr/share/guile/%{version}/slibcat

%files
%defattr(-,root,root)
%doc ANON-CVS AUTHORS BUGS COPYING ChangeLog GUILE-VERSION HACKING
%doc NEWS README THANKS SNAPSHOTS
%doc %{_infodir}/*.info*
/usr/include/*
/usr/share/aclocal/*
/usr/bin/*
/sbin/conf.d/*
%{_libdir}/libguile*
%ifnarch ppc ia64 s390 s390x x86_64 ppc64 %arm
%{_libdir}/libqthreads*
%endif
/usr/share/guile

%changelog -n guile
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 17 2006 - ro@suse.de
- add aclocal in libltdl
* Wed May 18 2005 - sbrabec@suse.cz
- Disabled randomly failing make -j.
* Tue Apr 05 2005 - sbrabec@suse.cz
- Fixed incomplete array element type.
* Thu Mar 24 2005 - uli@suse.de
- fixed to build on ARM
* Fri Jan 21 2005 - sbrabec@suse.cz
- Updated to version 1.6.7.
* Fri Dec 10 2004 - meissner@suse.de
- make -j , added make check.
* Tue Mar 30 2004 - sbrabec@suse.cz
- Fixed tempfile creation in guile-snarf (#36367).
- Build with -fno-strict-aliasing.
* Thu Nov 06 2003 - schwab@suse.de
- Fix syntax in configure script.
* Tue Jul 08 2003 - sbrabec@suse.cz
- Updated to version 1.6.4.
* Thu Apr 24 2003 - ro@suse.de
- fix install_info --delete call and move from preun to postun
* Wed Mar 12 2003 - sbrabec@suse.cz
- Workaround guile-config info version bug (symlink, fixes bug 25190).
* Tue Feb 11 2003 - sbrabec@suse.cz
- Fixed GUILEVERSION datadir path.
* Mon Feb 10 2003 - sbrabec@suse.cz
- Updated to version 1.6.2.
- Use %%install_info (bug #23423).
* Wed Dec 11 2002 - garloff@suse.de
- Make slib integration work independent of guile version number.
* Wed Dec 04 2002 - sbrabec@suse.cz
- Change error message for unknown platform to warning. It allows to
  compile guile on all platforms, but there is no guarantee to
  functionallity. (guile-platforms.diff)
* Tue Dec 03 2002 - sbrabec@suse.cz
- Fixed typo, which breaks TeXmacs
  (guile-1.6.0-top_srcdir_absolute.diff).
* Wed Oct 30 2002 - sbrabec@suse.cz
- Update to version 1.6.0.
* Tue Aug 20 2002 - mmj@suse.de
- Correct PreReq
* Tue Jul 30 2002 - mcihar@suse.cz
- fixed SuSEconfig.guile for new version
* Wed Jul 17 2002 - tiwai@suse.de
- updated to version 1.4.1.
* Tue Jun 11 2002 - mcihar@suse.cz
- disabled qthreads for ppc64
* Mon Apr 29 2002 - sf@suse.de
- disabled qthreads for x86_64
* Thu Apr 04 2002 - pmladek@suse.cz
- moved AC_LIBOBJ after AC_PROG_CC because AC_LIBOBJ uses $ac_objext
* Wed Apr 03 2002 - pmladek@suse.cz
- fixed to compile with autoconf-2.53 (AC_LIBOBJ vs. LIBOBJS)
* Fri Feb 08 2002 - pmladek@suse.cz
- used -a option with automake to fix for PLUS distribution
- added back guile-doc-snarf: work around problem with cpp on ia64
  bebause of 7.2-ia64+kde distribution
* Wed Feb 06 2002 - schwab@suse.de
- Don't add /usr/include and /usr/local/include to include search path.
- Avoid trigraph.
- Add support for ia64 register backing store (from cvs).
- Don't build with -O0 on ia64.
* Mon Dec 17 2001 - froh@suse.de
- added %%{_libdir} to the specfile where appropriate to make it lib64
  clean.
* Fri Dec 07 2001 - pmladek@suse.cz
- fixed for new position of slib library
- SuSEconfig.guile uses check_md5_and_move now
- removed unused package scheme from neededforbuild
* Tue Nov 06 2001 - pmladek@suse.cz
- fixed to compile with automake 1.5:
  * OMIT_DEPENDENCIES are not supported now
* Sat Sep 15 2001 - schwab@suse.de
- Fix libtool configuration.
- Remove ia64 cpp workaround.
- Fix hash functions for 64-bit architectures.
* Fri Aug 31 2001 - pmladek@suse.cz
- fixed creating of SLIB catalog (#8997):
- moved from triggerin to SuSEconfig because
  there were problems with update when rpm was
  updated after guile
* Mon Aug 27 2001 - pmladek@suse.cz
- fixed to compile on axp:
  * fixed file numbering in qt/md/axp.s
  * fixed end of block qt_vstart in qt/md/axp.s
* Fri Aug 10 2001 - ro@suse.de
- fixed to build with current autoconf and libtool
* Thu Jun 14 2001 - pmladek@suse.cz
- fixed to more correctly compile with new autoconf
* Mon Jun 11 2001 - pmladek@suse.cz
- fixed to compile with new autoconf
* Sat May 12 2001 - schwab@suse.de
- Fix readline interface.
* Fri Feb 23 2001 - ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Wed Dec 06 2000 - schwab@suse.de
- guile-doc-snarf: work around problem with cpp on ia64.
- Build with -O0 on ia64.
* Thu Nov 23 2000 - cihlar@suse.cz
- fixed to compile on older distros
* Sun Nov 12 2000 - ro@suse.de
- don't redeclare inet_aton
* Wed Nov 08 2000 - ro@suse.de
- changed %%post to %%triggerin -- scheme
* Tue Nov 07 2000 - cihlar@suse.cz
- added postinstall and link to /usr/lib/scheme/slib
* Fri Nov 03 2000 - cihlar@suse.cz
- bzipped sources
- clean up spec file
* Mon Oct 23 2000 - ro@suse.de
- use macro for infodir
* Wed Aug 02 2000 - cihlar@suse.cz
- update to version 1.4
* Fri Apr 07 2000 - bk@suse.de
- And no QuickThreads yet on s390 too ;-)
* Thu Apr 06 2000 - schwab@suse.de
- No QuickThreads yet on ia64.
* Mon Mar 06 2000 - schwab@suse.de
- Update config.{guess,sub} from automake.
* Sun Feb 06 2000 - ke@suse.de
- Add group tag.
- /configure -> %%build.
- use /usr/share/info.
* Sun Oct 03 1999 - ke@suse.de
- update: 1.3.4.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Sep 07 1999 - uli@suse.de
- no QuickThreads on PPC, disabled them
* Wed Aug 25 1999 - ro@suse.de
- fixed configuration for alpha-Quickthreads again
* Wed Aug 25 1999 - ke@suse.de
- update: 1.3.2.
* Wed Mar 17 1999 - ro@suse.de
- fixed patch-call
* Wed Feb 10 1999 - ke@suse.de
- apply guile-slow-read-fix.patch (by Harvey J. Stein
  <hjstein@bfr.co.il>).
- fix lib perms.
* Fri Feb 05 1999 - ro@suse.de
- changed config to detect alpha(ev56)  as alpha
* Wed Oct 21 1998 - ke@suse.de
- update: version 1.3.
- build libqthreads.
* Wed Sep 23 1998 - ke@suse.de
- update: snapshot 1998-09-23 (1.3a).
* Sun Aug 23 1998 - ke@suse.de
- update: snapshot 1998-08-23 (1.3a).
* Fri Nov 21 1997 - bs@suse.de
- don't call ldconfig in spec file
* Tue Jul 15 1997 - Karl Eichwalder <ke@suse.de>
  * initial package: version 1.2.
